Bug 1665223 (CVE-2018-20330)

Summary: CVE-2018-20330 libjpeg-turbo: heap-based buffer overflow in tjLoadImage
Product: [Other] Security Response Reporter: Laura Pardo <lpardo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: dmoppert, nforro
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-05-20 21:18:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1665224, 1665225, 1665227    
Bug Blocks: 1665226    

Description Laura Pardo 2019-01-10 17:36:26 UTC
A flaw was found in libjpeg-turbo 2.0.1. The tjLoadImage function has an integer overflow with a resultant heap-based buffer overflow via a BMP image because multiplication of pitch and height is mishandled.


References:
https://github.com/libjpeg-turbo/libjpeg-turbo/issues/304

Upstream Patch:
https://github.com/libjpeg-turbo/libjpeg-turbo/commit/3d9c64e9f8aa1ee954d1d0bb3390fc894bb84da3

Comment 1 Laura Pardo 2019-01-10 17:37:49 UTC
Created libjpeg-turbo tracking bugs for this issue:

Affects: fedora-all [bug 1665224]


Created mingw-libjpeg-turbo tracking bugs for this issue:

Affects: epel-7 [bug 1665227]
Affects: fedora-all [bug 1665225]

Comment 3 Stefan Cornelius 2019-01-11 09:51:44 UTC
RHEL versions don't have this function. Looks like this was introduced via https://github.com/libjpeg-turbo/libjpeg-turbo/commit/aa7459050d7a50e1d8a99488902d41fbc118a50f

Comment 4 Stefan Cornelius 2019-01-11 09:51:46 UTC
Statement:

This issue did not affect the versions of libjpeg-turbo as shipped with Red Hat Enterprise Linux 6 and 7.

Comment 5 Product Security DevOps Team 2020-05-20 21:18:50 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-20330